Bug 1016119 - Evolution begin consume 100% CPU and hang again
Evolution begin consume 100% CPU and hang again
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 10:39 EDT by Mikhail
Modified: 2015-06-29 08:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:34:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtraces of evolution (2.44 KB, application/x-bzip)
2013-10-07 10:39 EDT, Mikhail
no flags Details
screenshot of htop (236.63 KB, image/png)
2013-10-07 10:40 EDT, Mikhail
no flags Details
backtrace of evolution (17.49 KB, application/x-gzip)
2014-06-10 03:28 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-10-07 10:39:21 EDT
Created attachment 808855 [details]
backtraces of evolution

Description of problem:
Evolution begin consume 100% CPU and hang again
Comment 1 Mikhail 2013-10-07 10:40:34 EDT
Created attachment 808856 [details]
screenshot of htop
Comment 2 Milan Crha 2013-10-08 02:53:17 EDT
Thanks for a bug report. The particular backtraced don't show much, which might be because of a "wrong" time of the snapshot of the evolution activity (all threads seem idle). Could you get set of backtraces of evolution, which may show more activities which cause the hight CPU usage, please? You can do that with the below command, which takes 10 backtraces for one second of evolution run. You can tweak the sleep interval too, but these preset values might be fine as a starter.

   $ for i in {1..10}; do gdb --batch --ex "t a a bt" -pid=`pidof evolution` \
        &>bt$i.txt; sleep 0.1; done
Comment 3 Mikhail 2014-06-10 03:28:48 EDT
Created attachment 907070 [details]
backtrace of evolution

Evolution too slow but not hang
Comment 4 Milan Crha 2014-06-11 03:23:20 EDT
Thanks for the update. I see in the backtraces that there is an ongoing IMAP account refresh, in multiple folders, which can take time. The time it takes depends on the folder size, current network connection and so on. There are also shown repaint requests, most likely caused by the spinner(s) in the status bar. I do ot see anything else in the bakctraces what would explain slowness on the evolution side. The bt10.txt shows also some repaint of a message preview, but that is also quite common.
Comment 5 icewater 2014-06-22 15:53:38 EDT
When I experience this (assuming it's the same thing) it basically locks up my desktop.  Even if there is a heavy IMAP folder refresh workload, perhaps there is a way to make Evolution yield a bit to the rest of the system?
Comment 6 Milan Crha 2014-06-23 05:05:42 EDT
We can check whether it's the same thing, just install debuginfo packages for evolution-data-server and evolution, reproduce the issue, switch to a terminal (Ctrl+Alt+F2), login there and issue this gdb command:
   $ gdb --batch --ex "t a a bt" -pid=`pidof evolution` &>bt.txt
Please check the bt.txt for any private information, like passwords, email address, server addresses,... I usually search for "pass" at least (quotes for clarity only). Then upload it here.

I think what you face is an issue about false GSettings/GObject key/property change notification, which can lead to a flood of unnecessary updates in applications. The backtrace should show us.

Also check the 'top', to see which processes are using the most of the CPU. If your whole desktop is locked, then I'd guess you have gnome-shell as the one of the processes.

By the way, are you still on 3.10.x of evolution?
Comment 7 icewater 2014-06-23 09:39:36 EDT
I will run gdb next time this happens.

I have run top in the past and evolution usually has around 100% but  gnome-shell is also represented with about 50% or so.

I am using Evolution 3.10.4 from the Fedora 20 repos.
Comment 8 Milan Crha 2014-09-01 08:06:45 EDT
It can be that the CPU is used by the spinners, the animation in status bars which is there to show that the application is not stuck.
Comment 9 Fedora Admin XMLRPC Client 2014-09-04 10:29:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2015-05-29 05:31:56 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 08:34:50 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.